%define upstream_name    Object-Tiny-XS
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Class building as simple as it gets and FAST
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch
Requires:      perl(Class::XSAccessor)

%description
This module does the same that the Object::Tiny manpage does, but it uses
'Class::XSAccessor' to generate faster accessors and constructors.

For details on the little interface there is, please check 'Object::Tiny'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.10.0-14.mga10
+ Revision: 2204220
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.10.0-13.mga9
+ Revision: 1809972
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-12.mga8
+ Revision: 1505761
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.10.0-11.mga7
+ Revision: 1285455
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.10.0-10.mga7
+ Revision: 1166058
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 1.10.0-9.mga7
+ Revision: 1160849
- fix missing requires on perl(Class::XSAccessor), thus fixing tons of pkg rebuilds

* Mon Sep 25 2017 tv <tv> 1.10.0-8.mga7
+ Revision: 1159737
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-7.mga6
+ Revision: 1031501
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 945965
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 750090
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 513756
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 371111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 1.10.0-1.mga2
+ Revision: 179858
- imported package perl-Object-Tiny-XS


* Sat Dec 10 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
